Skip to main content
GET
/
v1
/
codon-exports
List codon exports for a variant
curl --request GET \
  --url https://api.example.com/v1/codon-exports \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "variant_id": "<string>",
      "strategy": "<string>",
      "host": "<string>",
      "signal_peptides": {},
      "options": {},
      "created_at": "<string>",
      "object": "codon_export",
      "batch_id": "<string>",
      "job_id": "<string>",
      "variable_cds": {},
      "constraints_satisfied": true,
      "violations": [
        {}
      ],
      "metrics": {}
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
CodonExportV1 · object[]
required
has_more
boolean
required
next_cursor
string | null